{% extends 'utilisateur.html' %}
{% load static %}

{% block title %}
    Membres du CA
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/user-profiles-list-basic.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script src="{% static 'utilisateur/js/userSearch.js' %}?v=1"></script>
    <script>
        $('.switch').click(function () {
            $(this).find('i').toggleClass("fa-angle-right fa-angle-down");
        });
        $('#searchbar').on('input', (e) => {
            search(e.target.value.toLowerCase())
        });
    </script>
{% endblock %}

{% block content %}
    <header>
        <h1>Membres du CA</h1>
    </header>

    <div class="card">
        <div class="card-body">
            <input id="searchbar" name="searchbar" class="form-control"
                   type="text" placeholder="Rechercher un utilisateur..."/>
            <ul id="searchbar-results" class="user-profiles-list-basic"></ul>

        </div>
    </div>

    <div class="card">
        <div class="card-body">
            {% for mandat in mandats %}
                <a class="switch" data-toggle="collapse"
                   data-target="#{{ mandat.id }}"><i
                        class="fas {% if forloop.first %}fa-angle-down{% else %}fa-angle-right{% endif %}"></i> {{ mandat }}</a>
                <hr>
                <div id="{{ mandat.id }}"
                     class="{% if forloop.first %}show {% endif %}collapse">
                    <ul class="user-profiles-list-basic">
                        {% for membre in mandat.membresCA.all %}
                            <li class="user-card">
                                <a href="{% url "photo_utilisateur" membre.membre.id %}"
                                   class="user-avatar">
                                    <img src="{% url "photo_utilisateur" membre.membre.id %}"
                                         width="80" alt="Profile picture"/>
                                </a>

                                <p class="user-info">
                                    <a href="{% url 'public_profile' uuid=membre.membre.id %}"
                                       class="user-fullName">{{ membre.membre.nomComplet }}</a>
                                    <span>
                                        <strong class="user-username">{{ membre.membre.username }}</strong>
                                    </span>
                                    <span>
                                        <strong class="user-statutCA">
                                            {{ membre.statut }}
                                            {% if not membre.current %} du {{ membre.mandat.debut }} au {{ membre.mandat.fin }}{% endif %}
                                        </strong>
                                    </span>
                                </p>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}